Bug 519175 - NetworkManager-pptp does not provide any details when failed to connect
Summary: NetworkManager-pptp does not provide any details when failed to connect
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager-pptp
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-25 14:19 UTC by Hedayat Vatankhah
Modified: 2012-05-08 13:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-08 13:08:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 563159 None None None Never
GNOME Bugzilla 675675 None None None Never

Description Hedayat Vatankhah 2009-08-25 14:19:49 UTC
Description of problem:
You create a PPTP VPN connection using NetworkManager and try to connect to it. It tries to connect and fails, saying something like this: Connecting to ___ vpn connection failed. But does not provide any details about the reason of failure. What a user can do is to look at /var/log/messages to see the error message. Some common possible reasons are: incorrect username and/or password, running out of time (e.g. some people have a maximum time usage per week).


How reproducible:
100% when connection fails.

Actual results:
Just says: connection failed

Expected results:
explain why it can not connect to the VPN server.


Thanks a lot

Comment 1 Dan Williams 2009-11-07 04:19:52 UTC
Unfortunately, it's a bit hard to figure this out except for screenscraping /var/log/messages which kinda sucks.  Also, unless pptp/pppd is run in verbose debug mode (which isn't pretty and also dumps to /var/log/messages) it's not possible to determine every cause of failure.  But we'll see what we can do.

Comment 2 Hedayat Vatankhah 2009-11-07 12:14:37 UTC
Thanks :) Even providing info on some common cases will be really helpful.

Comment 3 Bug Zapper 2010-04-28 09:58:02 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2010-06-28 14:17:58 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Bug Zapper 2010-07-30 10:43:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Dan Winship 2012-05-08 13:08:12 UTC
Tracked upstream as https://bugzilla.gnome.org/show_bug.cgi?id=675675


Note You need to log in before you can comment on or make changes to this bug.